curl -X PATCH "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"status": "identified",
"message": "We have identified the root cause"
}'
const response = await fetch(
'https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000',
{
method: 'PATCH',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: 'identified',
message: 'We have identified the root cause'
})
}
);
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "identified",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"resolved_at": null,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T09:00:00.000Z"
}
Incidents
Update Incident
Update an incident status or add an update message
PATCH
/
incidents
/
{id}
curl -X PATCH "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"status": "identified",
"message": "We have identified the root cause"
}'
const response = await fetch(
'https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000',
{
method: 'PATCH',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: 'identified',
message: 'We have identified the root cause'
})
}
);
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "identified",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"resolved_at": null,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T09:00:00.000Z"
}
Path Parameters
string
required
The incident ID
Body Parameters
string
Updated incident title
string
New status:
investigating, identified, monitoring, resolvedstring
Update message to add to the incident timeline
string
Updated severity:
minor, major, criticalResponse
Returns the updated incident object.curl -X PATCH "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"status": "identified",
"message": "We have identified the root cause"
}'
const response = await fetch(
'https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000',
{
method: 'PATCH',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: 'identified',
message: 'We have identified the root cause'
})
}
);
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "identified",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"resolved_at": null,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T09:00:00.000Z"
}
⌘I